TONTONDocs
TON CenterV3Jettons

applications/api/toncenter/v3/jettons/get-jetton-masters

GET
/api/v3/jetton/masters

Query Parameters

address?array<string>

Jetton Master address in any form. Max: 1024.

admin_address?array<string>

Address of Jetton Master's admin in any form. Max: 1024.

limit?integer

Limit number of queried rows. Use with offset to batch read.

Default10
Formatint32
Range1 <= value <= 1000
offset?integer

Skip first N rows. Use with limit to batch read.

Default0
Formatint32
Range0 <= value

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/jetton/masters"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "jetton_masters": [
    {
      "address": "string",
      "admin_address": "string",
      "code_hash": "string",
      "data_hash": "string",
      "jetton_content": {},
      "jetton_wallet_code_hash": "string",
      "last_transaction_lt": "0",
      "mintable": true,
      "total_supply": "string"
    }
  ],
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  }
}
{
  "code": 0,
  "error": "string"
}

Last updated on